Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SavedSearch Class Reference

List of all members.

## Public Member Functions
| SavedSearch ($SearchId, $SearchName=NULL, $UserId=NULL, $Frequency=NULL, $SearchGroups=NULL)
| SearchGroups ($NewSearchGroups=NULL)
| SearchName ($NewValue=DB_NOVALUE)
| Id ()
| GetSearchId ()
| UserId ($NewValue=DB_NOVALUE)
| Frequency ($NewValue=DB_NOVALUE)
| UpdateDateLastRun ()
| DateLastRun ($NewValue=DB_NOVALUE)
| TranslateSearchGroupsToUrlParameters ($SearchGroups=NULL)
| TranslateSearchGroupsToUrlParameterArray ($SearchGroups=NULL)
| TranslateUrlParametersToSearchGroups ($GetVars)
| GetSearchGroupsAsTextDescription ($SearchGroups=NULL, $IncludeHtml=TRUE, $StartWithBreak=TRUE, $TruncateLongWordsTo=0)
| GetSearchFieldNames ($SuppliedSearchGroups=NULL)
| Delete ()
## Static Public Member Functions
static | GetSearchFrequencyList ()
static | TranslateValues ($FieldOrFieldName, $Values, $TranslationType)
## Public Attributes
const | SEARCHFREQ_NEVER = 0
const | SEARCHFREQ_HOURLY = 1
const | SEARCHFREQ_DAILY = 2
const | SEARCHFREQ_WEEKLY = 3
const | SEARCHFREQ_BIWEEKLY = 4
const | SEARCHFREQ_MONTHLY = 5
const | SEARCHFREQ_QUARTERLY = 6
const | SEARCHFREQ_YEARLY = 7
| $SearchId
| $Record
| $SearchGroups

## Detailed Description

Definition at line 33 of file SavedSearch.php.

## Member Function Documentation

SavedSearch::DateLastRun | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 256 of file SavedSearch.php.

SavedSearch::Delete | ( |  | ) |

Definition at line 737 of file SavedSearch.php.

SavedSearch::Frequency | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 243 of file SavedSearch.php.

SavedSearch::GetSearchFieldNames | ( | $ | SuppliedSearchGroups = `NULL` | ) |

Definition at line 676 of file SavedSearch.php.

References $SearchGroups, and SearchGroups().

static SavedSearch::GetSearchFrequencyList | ( |  | ) | `[static]`

Definition at line 709 of file SavedSearch.php.

SavedSearch::GetSearchGroupsAsTextDescription | ( | $ | SearchGroups = `NULL`,
|  | $ | IncludeHtml = `TRUE`,
|  | $ | StartWithBreak = `TRUE`,
|  | $ | TruncateLongWordsTo = `0` |
| ) |  |  |

Definition at line 523 of file SavedSearch.php.

References $SearchGroups, SearchGroups(), and TranslateValues().

SavedSearch::GetSearchId | ( |  | ) |

Definition at line 233 of file SavedSearch.php.

References Id().

SavedSearch::Id | ( |  | ) |

Definition at line 229 of file SavedSearch.php.

Referenced by GetSearchId().

Here is the caller graph for this function:

SavedSearch::SavedSearch | ( | $ | SearchId,
|  | $ | SearchName = `NULL`,
|  | $ | UserId = `NULL`,
|  | $ | Frequency = `NULL`,
|  | $ | SearchGroups = `NULL` |
| ) |  |  |

Definition at line 46 of file SavedSearch.php.

References $SearchGroups, $SearchId, SearchGroups(), and SearchName().

SavedSearch::SearchGroups | ( | $ | NewSearchGroups = `NULL` | ) |

Definition at line 95 of file SavedSearch.php.

References $Record, $SearchGroups, SearchEngine::SEARCHLOGIC_AND, SearchEngine::SEARCHLOGIC_OR, and TranslateValues().

Referenced by GetSearchFieldNames(), GetSearchGroupsAsTextDescription(), SavedSearch(), TranslateSearchGroupsToUrlParameterArray(), TranslateSearchGroupsToUrlParameters(), and TranslateUrlParametersToSearchGroups().

Here is the caller graph for this function:

SavedSearch::SearchName | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 222 of file SavedSearch.php.

Referenced by SavedSearch().

Here is the caller graph for this function:

SavedSearch::TranslateSearchGroupsToUrlParameterArray | ( | $ | SearchGroups = `NULL` | ) |

Definition at line 356 of file SavedSearch.php.

References $SearchGroups, SearchGroups(), and TranslateValues().

SavedSearch::TranslateSearchGroupsToUrlParameters | ( | $ | SearchGroups = `NULL` | ) |

Definition at line 265 of file SavedSearch.php.

References $SearchGroups, SearchGroups(), and TranslateValues().

SavedSearch::TranslateUrlParametersToSearchGroups | ( | $ | GetVars | ) |

Definition at line 444 of file SavedSearch.php.

References $SearchGroups, SearchGroups(), SearchEngine::SEARCHLOGIC_AND, SearchEngine::SEARCHLOGIC_OR, and TranslateValues().

static SavedSearch::TranslateValues | ( | $ | FieldOrFieldName,
|  | $ | Values,
|  | $ | TranslationType |
| ) |  |  | `[static]`

Definition at line 759 of file SavedSearch.php.

References MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_OPTION, and MetadataSchema::MDFTYPE_USER.

Referenced by GetSearchGroupsAsTextDescription(), SearchGroups(), TranslateSearchGroupsToUrlParameterArray(), TranslateSearchGroupsToUrlParameters(), and TranslateUrlParametersToSearchGroups().

Here is the caller graph for this function:

SavedSearch::UpdateDateLastRun | ( |  | ) |

Definition at line 250 of file SavedSearch.php.

SavedSearch::UserId | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 236 of file SavedSearch.php.

## Member Data Documentation

SavedSearch::$Record

Definition at line 748 of file SavedSearch.php.

Referenced by SearchGroups().

SavedSearch::$SearchGroups

Definition at line 749 of file SavedSearch.php.

Referenced by GetSearchFieldNames(), GetSearchGroupsAsTextDescription(), SavedSearch(), SearchGroups(), TranslateSearchGroupsToUrlParameterArray(), TranslateSearchGroupsToUrlParameters(), and TranslateUrlParametersToSearchGroups().

SavedSearch::$SearchId

Definition at line 747 of file SavedSearch.php.

Referenced by SavedSearch().

const SavedSearch::SEARCHFREQ_BIWEEKLY = 4

Definition at line 40 of file SavedSearch.php.

Referenced by SavedSearchFactory::GetSearchesDueToRun().

const SavedSearch::SEARCHFREQ_DAILY = 2

Definition at line 38 of file SavedSearch.php.

Referenced by SavedSearchFactory::GetSearchesDueToRun().

const SavedSearch::SEARCHFREQ_HOURLY = 1

Definition at line 37 of file SavedSearch.php.

Referenced by SavedSearchFactory::GetSearchesDueToRun().

const SavedSearch::SEARCHFREQ_MONTHLY = 5

Definition at line 41 of file SavedSearch.php.

Referenced by SavedSearchFactory::GetSearchesDueToRun().

const SavedSearch::SEARCHFREQ_NEVER = 0

Definition at line 36 of file SavedSearch.php.

const SavedSearch::SEARCHFREQ_QUARTERLY = 6

Definition at line 42 of file SavedSearch.php.

Referenced by SavedSearchFactory::GetSearchesDueToRun().

const SavedSearch::SEARCHFREQ_WEEKLY = 3

Definition at line 39 of file SavedSearch.php.

Referenced by SavedSearchFactory::GetSearchesDueToRun().

const SavedSearch::SEARCHFREQ_YEARLY = 7

Definition at line 43 of file SavedSearch.php.

Referenced by SavedSearchFactory::GetSearchesDueToRun().

The documentation for this class was generated from the following file:

- SavedSearch.php